experimental::UserInput(3)

NAME
experimental::UserInput - The EntryData struct. Contains ALL possible data. However depending on who is constructing it, different types are initialised. FUTURE: Would it be necessary to able to change data? George: I would say no because we dont want to fuck around with the entry. Collect data from user -> Pack it up in the entry -> Consume it.

SYNOPSIS

#include <UserInput.h>

  Public Types
enum MetaTag { Pilot, Flight, Aircraft }

  Public Member Functions
UserInput (EntryData new_data, MetaTag tag)
QString only (QString data_type) const
const EntryData & all () const

  Public Attributes
enum experimental::UserInput::MetaTag meta_tag

Detailed Description

The EntryData struct. Contains ALL possible data. However depending on who is constructing it, different types are initialised. FUTURE: Would it be necessary to able to change data? George: I would say no because we dont want to fuck around with the entry. Collect data from user -> Pack it up in the entry -> Consume it.

Todo
    Figure out exactly what the database would prefer as return value George: I would assume key: value pairs where the keys are what you would put in the queries. This will affect data aswell (and propably simplify it)

Author

Generated automatically by Doxygen for openPilotLog from the source code.